%{?nodejs_find_provides_and_requires}

%global packagename pad
%global enable_tests 1

Name:		nodejs-pad
Version:	1.0.0
Release:	3%{?dist}
Summary:	Left and right string padding

License:	BSD
URL:		https://github.com/wdavidw/node-pad.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source2:	src-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	coffee-script
BuildRequires:	mocha
BuildRequires:	npm(should)
%endif

%description
Left and right string padding


%prep
%setup -q -n package
# setup the tests and src
%setup -q -T -D -a 1 -n package
%setup -q -T -D -a 2 -n package

# remove pre-compiled scripts
rm lib/*.js

%build
%{_bindir}/coffee -c -b -o lib/ src/

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
NODE_ENV=test %{_bindir}/mocha --compilers coffee:coffee-script/register -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Nov 14 2015 Jared Smith <jsmith@fedoraproject.org> - 1.0.0-2
- Update to add missing BuildRequires

* Sun Nov  8 2015 Jared Smith <jsmith@fedoraproject.org> - 1.0.0-1
- Initial packaging
